summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Pointner <equinox@anytun.org>2012-01-06 02:40:29 +0000
committerChristian Pointner <equinox@anytun.org>2012-01-06 02:40:29 +0000
commit12a21c64936d2737ddb9fa650712761edb7cc765 (patch)
treeb78763f523a9f568647afb14a6fab95ffe63448f
parentclean temporary boost files afgter build_boost_cross script (diff)
added anytun mingw cross compile script
-rwxr-xr-xcontrib/build-anytun-mingw-cross.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/contrib/build-anytun-mingw-cross.sh b/contrib/build-anytun-mingw-cross.sh
new file mode 100755
index 0000000..869e8b8
--- /dev/null
+++ b/contrib/build-anytun-mingw-cross.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+BASE=`pwd`
+
+cd ../src
+make distclean
+./configure --target=mingw --use-ssl-crypto --with-boost=../contrib/boost-w32 --with-openssl=../contrib/openssl-w32 --cross-prefix=i686-w64-mingw32-
+make -j 8
+make strip
+mkdir -p $BASE/anytun-w32
+cp *.exe $BASE/anytun-w32
+make distclean
+./configure --target=mingw --use-ssl-crypto --with-boost=../contrib/boost-w64 --with-openssl=../contrib/openssl-w64 --cross-prefix=x86_64-w64-mingw32-
+make -j 8
+make strip
+mkdir -p $BASE/anytun-w64
+cp *.exe $BASE/anytun-w64
+cd ../contrib